package org.greenstone.atea.morphia;

import dev.morphia.annotations.*;

@Entity("Websites")
public class WebsiteInfo {
    //public final int id;
    @Id
    public final String siteFolderName;
    public final String domain;
    //public final String basicDomain; // domain without protocol and www. prefix
    
    public final int totalPages;
    public final int countOfWebPagesWithBodyText;
    
    public final int numPagesInMRI;
    public final int numPagesContainingMRI;
    
    public final long siteCrawledTimestamp;
    public final boolean siteCrawlUnfinished;
    public final boolean redoCrawl;
    
    public final String geoLocationCountryCode;
    public final boolean urlContainsLangCodeInPath;
	
    public WebsiteInfo(/*int siteCount,*/ String siteFolderName,
		       String domainOfSite, //String baseSiteDomain,
		       int totalPages, int countOfWebPagesWithBodyText,
		       int numPagesInMRI, int numPagesContainingMRI,
		       long siteCrawledTimestamp, boolean siteCrawlUnfinished, boolean redoCrawl,
		       String geoLocationCountryCode, boolean urlContainsLangCodeInPath)
    {
	//this.id = siteCount;
	this.siteFolderName = siteFolderName;
	this.domain = domainOfSite;
	//this.basicDomain = baseSiteDomain;
	
	this.totalPages = totalPages;
	this.countOfWebPagesWithBodyText = countOfWebPagesWithBodyText;
	
	this.numPagesInMRI = numPagesInMRI;
	this.numPagesContainingMRI = numPagesContainingMRI;
	
	this.siteCrawledTimestamp = siteCrawledTimestamp;
	this.siteCrawlUnfinished = siteCrawlUnfinished;
	this.redoCrawl = redoCrawl;
	
	this.geoLocationCountryCode = geoLocationCountryCode;
	this.urlContainsLangCodeInPath = urlContainsLangCodeInPath;
    }
}
